import { EventEmitter } from '../../stencil-public-runtime';
/** Actions/footer piece of the `bs-toast` component. */
export declare class BsToastActions {
  /** Emits when dismissed by the default dismiss action (when no other actions are given) */
  defaultDismiss: EventEmitter;
  isStacked: boolean;
  showDefault: boolean;
  actionsEl: HTMLDivElement;
  componentDidLoad(): void;
  /** Stacks the actions when there are more than two (mobile only) */
  componentDidRender(): void;
  render(): any;
}
